=== debian/control ===
Source: ros-eloquent-rcl-lifecycle
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-ros, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-lifecycle-msgs, ros-eloquent-osrf-testing-tools-cpp, ros-eloquent-rcl, ros-eloquent-rcutils, ros-eloquent-rmw-implementation, ros-eloquent-rosidl-generator-c, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rcl-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-lifecycle-msgs, ros-eloquent-rcl, ros-eloquent-rcutils, ros-eloquent-rmw-implementation, ros-eloquent-rosidl-generator-c, ros-eloquent-ros-workspace
Description: Package containing a C-based lifecycle implementation
